function ycomp = ycomp(x)
%output as a function of aggregates
global alpha eta omega rho nu TFP

ks = x(:,1);
ke = x(:,2);
lu = x(:,3);
ls = x(:,4);


ycomp = TFP*ks.^alpha.* ( (1-nu)*lu.^eta + nu*(omega*ke.^rho + (1-omega)*ls.^rho).^(eta/rho) ).^((1-alpha)/eta);


