function nacdiffPER2 = nacdiffPER2(x)

global alpha eta omega rho nu k0 ds de lu ls tauks tauke qe qs

%non arbitrage condition with differential capital income taxation

ke = x/qe;
ks = (k0 - x)/qs;

brack =(omega*ke^rho + (1-omega)*ls^rho);
parent = ((1-nu)*lu^eta + nu*brack^(eta/rho) );
mpks = alpha*ks^(alpha-1)* parent^((1-alpha)/eta);
mpke = ks^alpha* ((1-alpha)/eta)*parent^((1-alpha)/eta-1)*nu*eta/rho*brack^(eta/rho-1)*omega*rho*ke^(rho-1);

%now find ke s.t. given ks the NAC holds
nacdiffPER2 = (1-tauks)*(mpks - qs*ds)/qs - (1-tauke)*(mpke - qe*de)/qe;