function ycompprime2 = ycompprime2(x)

global alpha nZ eta omega rho nu Pi z TFP
%vector of marginal products wrt ks, ke, Lu, Ls

ks = x(1);
ke = x(2);
lu = x(3);
ls = x(4);


%define brackets and parentheses
brack = (omega*ke^rho + (1-omega)*ls^rho);
parent = ((1-nu)*lu^eta + nu*brack^(eta/rho));

ycompprime2(1) = TFP*alpha*ks^(alpha-1)* parent^((1-alpha)/eta);
ycompprime2(2) = TFP*ks^alpha* ((1-alpha)/eta)*parent^((1-alpha)/eta-1)*nu*eta/rho*brack^(eta/rho-1)*omega*rho*ke^(rho-1);
ycompprime2(3) = TFP*ks^alpha* ((1-alpha)/eta)*parent^((1-alpha)/eta-1)*(1-nu)*eta*lu^(eta-1);
ycompprime2(4) = TFP*ks^alpha* ((1-alpha)/eta)*parent^((1-alpha)/eta-1)*nu*eta/rho*brack^(eta/rho-1)*(1-omega)*rho*ls^(rho-1);



