function simulationeta = simulationeta(cdfeta1, Yeta1, Tetacdf1, cdfeta2, Yeta2, Tetacdf2, nY) 

%%%%%%%%% generates random sequence of the persistent component (eta) and then
%%%%%%%%% computes its persistence and volatility, spits out constant, rho,
%%%%%%%%% and var residual
simuln = 1000;
%number of poeople

for n = 1:simuln
%first period    
randometa(1, n) = unifrnd(0,1);
%randometa(1, n) = 0;
if randometa(1,n) < cdfeta1(1)
    Yetareal(1,n) = (Yeta1(1));
    etaeps(1,n) = 1;
else
    for i = 2:nY
        if randometa(1,n) >= cdfeta1(i-1) & randometa(1,n)<cdfeta1(i)
           Yetareal(1,n) = (Yeta1(i));
           etaeps(1,n) = i;
        end
    end
end

%the next period
randometa(2, n) = unifrnd(0,1);
    if randometa(2,n) <Tetacdf2(etaeps(1,n),1)
       Yetareal(2,n) = (Yeta2(1));
       etaeps(2,n) = 1;
    else
        for i = 2:nY
            if randometa(2,n) >= Tetacdf2(etaeps(1,n), i-1) & randometa(2,n)<Tetacdf2(etaeps(1,n),i)
                Yetareal(2,n) = (Yeta2(i));
                etaeps(2,n) = i;
            end
        end 
    end
end

Yetareal = Yetareal';

etaeps';

  temprho = regress(Yetareal(:,2), [ones(simuln,1), Yetareal(:,1)]);
  tempres = Yetareal(:,2) - temprho(1)*ones(simuln,1) - temprho(2)*Yetareal(:,1);
  %tempres = Yetareal(:,2) - 0.9859*Yetareal(:,1);
  
 %[temprho(2), var(tempres)]
%   var(Yetareal(:,2) - 0.9859*Yetareal(:,1))
%   mean(Yetareal) 
%   cov(Yetareal(:,1), Yetareal(:,2))
simulationeta =  [temprho(2), mean(tempres), var(tempres), skewness(tempres), kurtosis(tempres), var(Yetareal(:,2))];